import { OnInit, ElementRef, EventEmitter, Renderer2, DoCheck } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { ItemService } from '../../item-service/item-service.service';
export declare class SelectTypeConfigurationComponent implements OnInit, DoCheck {
    private domSanitizer;
    private renderer;
    private el;
    private itemService;
    d: ElementRef;
    inputArrays: Array<ElementRef>;
    promptTxt: any;
    questionCurrentData: any;
    options: any;
    isClearAnswer: any;
    valueChanged: EventEmitter<any>;
    blankMatches: RegExpMatchArray;
    noOfBlanks: number;
    blankValues: any[];
    emittedValue: any;
    selectedItemObj: any;
    spanText: any;
    clearAnswer: any;
    userAnsweredValue: any;
    constructor(domSanitizer: DomSanitizer, renderer: Renderer2, el: ElementRef, itemService: ItemService);
    ngOnInit(): void;
    ngDoCheck(): void;
    toggleUl(event: any): void;
    optionCheckboxChange(event: any): void;
    handleQuestionText(question: any): void;
    setUlToDisplayNone(): void;
    valueForInput(): void;
}
